if test ! -f /etc/linuxprint.cfg; then
	# Abort this script if we didn't go as far as creating a config file
	exit 0
fi

# Remove installed printers
$SETUP_INSTALLPATH/removeprinter
# Remove the global configuration file
rm -f $SETUP_INSTALLPATH/linuxprint.cfg
# Remove stale symlinks
rm -f $SETUP_INSTALLPATH/bin/lpr
if [ -d /usr/lib/cups/filter ]; then
	rm -f /usr/lib/cups/filter/ppmtogdi
	rm -f /usr/lib/cups/filter/pstopcl
	rm -f /usr/lib/cups/filter/ppmtospl2
	rm -f /usr/lib/cups/filter/ppmtosplc
fi
if [ -d /usr/lib64/cups/filter ]; then
	rm -f /usr/lib64/cups/filter/ppmtogdi
	rm -f /usr/lib64/cups/filter/pstopcl
	rm -f /usr/lib64/cups/filter/ppmtospl2
	rm -f /usr/lib64/cups/filter/ppmtosplc
fi
rm -f /etc/linuxprint.cfg

if [ -d /etc/alternatives -a -L /usr/bin/lpr ]; then
	if test -f /etc/alternatives/print; then
	    ALT=print
	    if ls -l /etc/alternatives/print | grep cups > /dev/null; then
		SYS=cups
		INITSCRIPT=cups
		PRIORITY=40
		rm -f $SETUP_INSTALLPATH/bin/llpr.cups
	    else
		SYS=LPRng
		INITSCRIPT=lpd
		PRIORITY=30
		rm -f $SETUP_INSTALLPATH/bin/llpr.LPRng
	    fi
	    update-alternatives --install /usr/bin/lpr $ALT /usr/bin/lpr.$SYS $PRIORITY \
			--slave /usr/bin/lp print-lp /usr/bin/lp.$SYS \
			--slave /usr/bin/lpq print-lpq /usr/bin/lpq.$SYS \
			--slave /usr/bin/cancel print-cancel /usr/bin/cancel.$SYS \
			--slave /usr/bin/lprm print-lprm /usr/bin/lprm.$SYS \
			--slave /usr/bin/lpstat print-lpstat /usr/bin/lpstat.$SYS \
			--slave /usr/sbin/lpc print-lpc /usr/sbin/lpc.$SYS \
			--slave /usr/share/man/man1/lp.1.gz print-lpman /usr/share/man/man1/lp-$SYS.1* \
			--slave /usr/share/man/man1/cancel.1.gz print-cancelman /usr/share/man/man1/cancel-$SYS.1* \
			--slave /usr/share/man/man1/lpq.1.gz print-lpqman /usr/share/man/man1/lpq-$SYS.1* \
			--slave /usr/share/man/man1/lpr.1.gz print-lprman /usr/share/man/man1/lpr-$SYS.1* \
			--slave /usr/share/man/man1/lprm.1.gz print-lprmman /usr/share/man/man1/lprm-$SYS.1* \
			--slave /usr/share/man/man1/lpstat.1.gz print-lpstatman /usr/share/man/man1/lpstat-$SYS.1* \
			--slave /usr/share/man/man8/lpc.8.gz print-lpcman /usr/share/man/man8/lpc-$SYS.8* \
			--initscript $INITSCRIPT
	    update-alternatives --set $ALT /usr/bin/lpr.$SYS
	    update-alternatives --remove $ALT $SETUP_INSTALLPATH/bin/llpr.$SYS
	else
	    ALT=lpr
	    update-alternatives --remove $ALT $SETUP_INSTALLPATH/bin/llpr
	fi
elif [ -d /etc/profile.d ]; then
	# Remove profile.d scripts
	rm -f /etc/profile.d/linux.sh /etc/profile.d/linux.csh
else
# Remove the Linux lines from the modified global script
	if [ -w /etc/profile ]; then
		grep -v \#__LINUX__ /etc/profile > /tmp/profile$$
		mv /tmp/profile$$ /etc/profile
	fi
fi
