#!/bin/sh

#
# Detect a CUPS system
#

. scripts/common.sh

if IsPackageInstalled cups; then
	detected=0
    # RedHat 7.3 comes with both CUPS and LPRng installed
    if IsPackageInstalled LPRng && test -L /etc/alternatives/print; then
		# Try to detect which one is being used
		if ls -l /etc/alternatives/print | grep LPRng > /dev/null; then
			detected=1
		fi
    fi
elif [ -f /etc/cups/printers.conf ]; then
	detected=0
elif [ -f /etc/cups/cupsd.conf ]; then
	detected=0
else
	detected=1
fi

exit $detected