#!/bin/sh

#
# Detect a LPD system compatible with our backend
#

. scripts/common.sh

if IsPackageInstalled LPRng; then
	detected=0
    # RedHat 7.3 comes with both CUPS and LPRng installed
    if IsPackageInstalled cups && test -L /etc/alternatives/print; then
		# Try to detect which one is being used
		if ls -l /etc/alternatives/print | grep cups > /dev/null; then
			detected=1
		fi
    fi
elif IsPackageInstalled lprng; then
	detected=0
elif IsPackageInstalled lpr; then
	detected=0
elif IsPackageInstalled oldlpr; then
	detected=0
elif [ -x /usr/sbin/checkpc ]; then # LPRng command
	detected=0
elif [ -x /usr/sbin/lpd ]; then
	detected=0
elif [ -f /etc/rc.d/init.d/lpd ]; then
	detected=0
else
	detected=1
fi

exit $detected

